scilab (6.1.1+dfsg2-9) unstable; urgency=medium

  * Reworking the pcre3_to_pcre2 patch so that users can provide patterns with
    delimiters and modifiers again
  * Removing the d/NEWS file as there is no more information to provide about
    changes in the regex pattern syntax

 -- Pierre Gruet <pgt@debian.org>  Tue, 25 Jul 2023 21:46:18 +0200

scilab (6.1.1+dfsg2-8) unstable; urgency=medium

  * Using pcre2 instead of obsolete pcre3 (Closes: #999966)
  * Providing a debian/NEWS file to let users know about the changes in regex
    handling in scilab.
  * Correcting some unmatched/obsolete Lintian overrides
  * Trim trailing whitespace.

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jul 2023 10:27:50 +0200

scilab (6.1.1+dfsg2-7) unstable; urgency=medium

  * Building for Architecture: any as Bug #550243 should not show up now
  * Rewriting d/watch and d/u/metadata for the new Scilab repository on Gitlab

 -- Pierre Gruet <pgt@debian.org>  Thu, 22 Jun 2023 17:23:57 +0200

scilab (6.1.1+dfsg2-7~exp0) experimental; urgency=medium

  * debian/control:
    - Removing unneeded build-dependencies
    - Sorting and aligning dependencies in debian/control
    - Removing obsolete packages from Depends, Recommends and Suggests fields
      in debian/control
    - Depending on libeclipse-jdt-core-java instead of old libecj-java
    - Build-depending on libgl-dev instead of obsolete libgl1-mesa-dev
  * Bash completion files:
    - Removing legacy conffile in /etc/bash_completion.d using maintscripts
    - Installing the bash-completion file through dh_bash-completion
    - Correcting the syntax of bash complete with -o flag
  * Depending on lucene8 instead of lucene4.10
  * Setting the classpath of the built jar properly
  * Adding a Lintian override for an innocuous file with very-long-lines
  * Update Lintian override info to new format:
    - debian/scilab-minimal-bin.lintian-overrides: line 2
    - debian/scilab-full-bin.lintian-overrides: line 2

 -- Pierre Gruet <pgt@debian.org>  Sat, 27 May 2023 07:41:39 +0200

scilab (6.1.1+dfsg2-6) unstable; urgency=medium

  * Adding another --add-opens clause to the scilab invocation to avoid the
    Exception at GUI start (Closes: #1033496)
  * Adding myself as uploader

 -- Pierre Gruet <pgt@debian.org>  Sat, 06 May 2023 14:01:56 +0200

scilab (6.1.1+dfsg2-6~exp1) experimental; urgency=medium

  * Adding a binNMUable versioned dependency of scilab on scilab-full-bin

 -- Pierre Gruet <pgt@debian.org>  Sun, 23 Apr 2023 10:42:22 +0200

scilab (6.1.1+dfsg2-6~exp0) experimental; urgency=medium

  * Team upload
  * Rebuild against libjogl2-java version 2.4.0+dfsg, which changed the name of
    the .so file shipped in libjogl2-jni
  * Removing the unneeded build-dependency on dpkg-dev
  * Adding one more --add-opens in the invocation to work with openjdk-17

 -- Pierre Gruet <pgt@debian.org>  Sat, 22 Apr 2023 17:53:23 +0200

scilab (6.1.1+dfsg2-5) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2 (no change)
  * Adding missing dependencies on libfreehep-graphicsio-java and
    libfreehep-util-java
  * Fixing the FTBFS occurring during the doc build
  * Enabling starting with OpenJDK 17 (Closes: #1012099)
  * Selecting unversioned jars instead of versioned ones in the configure phase
    (Closes: #1030205)
  * Refreshing patches
  * Removing unneeded older-than versioned dependencies
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2, 4
    + debian/scilab-minimal-bin.lintian-overrides: line 4
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository-Browse.
  * Fix day-of-week for changelog entry 5.0.3-1.

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Mar 2023 16:23:07 +0100

scilab (6.1.1+dfsg2-4) unstable; urgency=medium

  * Add patch to disambiguate pause (Closes: #1017283).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Aug 2022 11:55:44 +0200

scilab (6.1.1+dfsg2-3) unstable; urgency=medium

  * Bump standards-version to 4.6.0.
  * Fix d/watch.
  * Fix a lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 11 Nov 2021 16:32:02 +0100

scilab (6.1.1+dfsg2-2) unstable; urgency=medium

  [ Gilles Filippini ]
  * New patch hdf5-1.10.7.patch to disable H5_NO_DEPRECATED_SYMBOLS which
    causes FTBFS against HDF5 1.10.7 (Closes: #994109)

  [ Julien Puydt ]
  * Document where each patch has been forwarded upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Sep 2021 16:08:00 +0200

scilab (6.1.1+dfsg2-1) unstable; urgency=medium

  * Drop even more files from upstream's archive (now dfsg2),
    and document it in d/copyright.
  * New upstream release 6.1.1.
  * Document the manual pages have been forwarded upstream.
  * Refresh patches, drop two now useless.
  * Add find_external_libintl_jar.patch since the tarball doesn't
    have that file anymore.
  * Add patch from S.Glondu for OCaml 4.11.
  * Drop around_atlas_947827.patch (bug closed).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 10 Sep 2021 07:02:44 +0200

scilab (6.1.0+dfsg1-7) unstable; urgency=medium

  [ Sébastien Villemot ]
  * libmatio-1.5.18.patch: new patch, fixes FTBFS against libmatio ≥ 1.5.18.
    By the way, also tighten versioned Build-Depends on libmatio.
    (Closes: #971902)

  [ Julien Puydt ]
  * Forward the libmatio-1.5.18 patch to upstream.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 21 Nov 2020 11:42:41 +0100

scilab (6.1.0+dfsg1-6) unstable; urgency=medium

  * Fix desktop-related files' choice of package. (Closes: #967078)
  * Better document patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Aug 2020 21:08:07 +0200

scilab (6.1.0+dfsg1-5) unstable; urgency=medium

  * Add patch to fix gcc 10 compilation. (Closes: #957782)
  * Bump dh compat to level 13.
  * Update team mailing list address.
  * Declare d/rules doesn't require root.
  * Add b-dep on libfreehep-graphicsio-java and libfreehep-util-java.
  * Install more desktop-related files (appdata, icons...).
  * Add empty override_dh_dwz to work around #965372.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 18:16:26 +0200

scilab (6.1.0+dfsg1-4) unstable; urgency=high

  * Team upload.

  [ Olivier Tilloy ]
  * Update runtime dependency on the transitional dummy ttf-dejavu-core
    (which was dropped from unstable) to fonts-dejavu-core (Closes: #962198)
    - debian/control
    - debian/patches/use_outside_font.patch

  [ Boyuan Yang ]
  * Pick upstream downstream Ubuntu's patch on fixing FTBFS with
    newer libicu. (Closes: #962555)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 15:37:29 -0400

scilab (6.1.0+dfsg1-3) unstable; urgency=medium

  * Update the addLibraryPath patch so it works with
  both openjdk 11.0.6 and 11.0.7.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 May 2020 16:41:33 +0200

scilab (6.1.0+dfsg1-2) unstable; urgency=medium

  * Add new patch to avoid FTBFS with newer libxml2 (Closes: #949494).
  * Make the classpath less sensible to version changes (Closes: #892254).
  * Add new patch from Gilles Filippini to fix NullPointerException with
    openjdk >= 11.0.7-9 (Closes: #955694, #956908).
  * Add patch to the appdata file so it points to the right desktop file.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Apr 2020 10:41:11 +0200

scilab (6.1.0+dfsg1-1) unstable; urgency=medium

  * Package new upstream release 6.1.0.
  * Refresh all patches, dropping only the spelling one.
  * Switch from d/compat to dh-compat, and level 12.
  * Bump std-vers to 4.5.0.
  * Make sure files new in this release get installed.
  * Rewrite d/copyright, hence going to +dfsg1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 17:03:05 +0100

scilab (6.0.2-1) unstable; urgency=medium

  * Fix d/watch (upstream changed the webpage => use github!)
  * Bump std-ver to 4.4.1.
  * Package new upstream.
  * Work on patches:
    - adddemo.diff: follow path changes.
    - appstream.patch: drop, now upstream.
    - desktop_files.patch: drop, now upstream.
    - fix_fortran_code.patch: drop, now upstream.
    - fix-ocaml-4.05.patch: drop, upstream changes fix the same issue.
    - librarypath.diff: drop, upstream changes fix the same issue.
    - jh.diff: follow path changes.
    - missing-lib.diff: follow path changes.
    - jvm-archdir-ppc64le.diff: drop, upstream.
    - libjogl2-java-2.3.2.diff: follow path changes, refresh, complete.
    - hdf5-1.10-api.patch: drop, upstream changes fix the same issue.
    - gcc-7.patch: drop, upstream.
    - lucene_4.10.patch: drop, upstream changes fix the same issue.
    - spelling.patch: refresh (most problems have been fixed upstream).
    - no_homedir.patch: drop, upstream.
    - reproducible_build.patch: follow path changes.
    - scicos_Makefile.patch: drop.
    - java_9.patch: follow path changes, refresh, complete.
    - force_java_home.patch: follow path changes, refresh.
    - set_class_path.patch: follow path changes, refresh.
    - use_outside_font.patch: follow path changes.
    - java11-compatibility.patch: follow path changes.
    - force-fop-jar-into-classpath.patch: follow path changes.
  * Make debian/rules find the sources.
  * Add new patch lucene4.10.patch.
  * Add time as build-dep.
  * Fix install target.
  * Fix desktop files paths.
  * Fix doc files paths.
  * Clean more files from the packages.
  * Remove obsolete lintian override.
  * Add depend on libnum-ocaml-dev (Closes: #934047).
  * Add patch to get around Debian's ATLAS #947827.
  * Add patch to work with more recent OCaml versions.
  * Fix spelling mistakes (update spelling.patch).
  * Add find_libs.patch so scilab actually finds its libs.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Jan 2020 10:05:22 +0100

scilab (6.0.1-10) unstable; urgency=medium

  [ Alexis Murzeau ]
  * Fix a startup issue with scilab-cli & scilab-adv-cli
    (Closes: #907607)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 May 2019 13:50:11 +0200

scilab (6.0.1-9) unstable; urgency=medium

  * Team upload.
  * Remove armel, mips and mipsel from the list of supported architectures,
    since libjogl2-jni is no longer available on these. (Closes: #926069)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 Mar 2019 15:13:06 +0200

scilab (6.0.1-8) unstable; urgency=medium

  * Team upload.
  * fix-desktop-startup.patch: new patch taken from upstream. Thanks to
    Matthias Klose. (Closes: #925020)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Mar 2019 14:30:19 +0100

scilab (6.0.1-7) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * New patch force-fop-jar-into-classpath.patch:
    force /usr/share/java/fop.jar into the classpath.  Closes: #915102

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Dec 2018 12:51:24 +0100

scilab (6.0.1-6) unstable; urgency=medium

  * Bump std-ver to 4.2.1.
  * Merge pull request from E.Bourg (Closes: #912392).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Nov 2018 18:51:45 +0100

scilab (6.0.1-5) unstable; urgency=medium

  * Rework building doc (fixes another FTBFS on non-amd64)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 31 Jul 2018 09:01:24 +0200

scilab (6.0.1-4) unstable; urgency=medium

  * Remove faulty rmdir in d/rules (fixes a FTBFS on non-amd64)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 30 Jul 2018 11:05:03 +0200

scilab (6.0.1-3) unstable; urgency=medium

  * Rework the java >= 9 support (Closes: #875790,#739235,#818352,#662986).
  * Declared all doc packages as Multi-Arch: foreign following hinter.
  * Rewrite d/rules removing use of cdbs.
  * Clean up packaging:
    - Bump dh compat to 11 (Closes: #746028)
    - Bump std-ver to 4.1.5
    - don't ship various useless files
    - remove some lintian overrides
    - don't ship fonts : find them elsewhere
  * Checked that scilab does start
    (Closes: #712065,#764783,#812311,#891351,#896118).
  * Add patch to fix fortran compilation (Closes: #904856).
  * Checked that it builds with recent gcc (Closes: #791274).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 29 Jul 2018 12:08:00 +0200

scilab (6.0.1-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 9 (Closes: #875790)

  [ Julien Puydt ]
  * Depend on unversioned tcl/tk (Closes: #803526)
  * Force use of java 8 since later versions aren't supported (Closes: #875790)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 03 May 2018 09:06:16 +0200

scilab (6.0.1-1) unstable; urgency=medium

  * Formally adopting the package (Closes: #744140).
  * Add Multi-Arch: indications following hinter.
  * Bump std-ver to 4.1.3.
  * Add dep on liblucene4.10-java for scilab-full-bin.
  * Remove broken symlink to a directory with manpages (Closes: #782051).
  * Make the build reproducible (Closes: #863117).
  * Point Vcs* fields to salsa.debian.org.
  * Package latest upstream (Closes: #891332).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 26 Feb 2018 13:32:37 +0100

scilab (6.0.0-1) unstable; urgency=medium

  * Upload to unstable
  * Disable modelica on armel (missing ocamlopt).

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 02 Dec 2017 13:18:39 +0100

scilab (6.0.0-1~exp1) experimental; urgency=medium

  * Adopting the package, using git now.
  * Updating the package:
    - Use https for uris
    - Bump dh compat to 10
    - Bump d/watch's version to 4
    - Bump std-ver to 4.1.1
    - Update lintian overrides
    - Move bash completions and metainfo files to correct locations
  * Point d/watch to the latest upstream sources.
  * Package new upstream:
    - Version 6.0.0 (Closes: #873590)
    - Drop patch to add support aarch64 : useless now.
    - Refresh patch to point to the scilab-doc package.
    - Refresh patch to find the library path.
    - Drop patch to add missing chapter : useless now.
    - Refresh patch to disable dep checking at Xcos startup.
    - Refresh patch to simplify the helper command-line.
    - Refresh patch to add deps for scicos' modelica compiler.
    - Refresh patch to add a missing lib to the linker list.
    - Drop patch to adapt the xmlgraphics api : useless now.
    - Drop patch to adapt the fop api to 2.0 : we have 2.2.
    - Drop patch to adapt the batik api to 1.8 : we have 1.9.
    - Refresh patch to add the ppc64el arch.
    - Refresh patch for the jogl2 api.
    - Refresh patch for the hdf5 1.10 api.
    - Drop patch to remove non-free code : it came from upstream.
    - Refresh patch for gcc 7.
    - Refresh patch to fix the build with OCaml 4.05.
    - Add new build-depends.
    - Add patch to handle the lucene 4.10 api.
    - Add patch to compile even without HOME.
  * Rework the manpages.
  * Modernize the appstream and desktop files.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 26 Nov 2017 21:39:17 +0100

scilab (5.5.2-6) unstable; urgency=medium

  * Team upload.
  * New patch fix-ocaml-4.05.patch, fixes FTBFS. Thanks to Stéphane Glondu.
    (Closes: #868960)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Sep 2017 12:11:58 +0200

scilab (5.5.2-5) unstable; urgency=medium

  * New patch gcc-7.patch to fix FTBFS with GCC-7 (closes: #853653)

 -- Gilles Filippini <pini@debian.org>  Tue, 15 Aug 2017 20:18:06 +0200

scilab (5.5.2-4) unstable; urgency=medium

  * Team upload
  * New patch scilab.git-f1d7f06.patch backported from upstream commit
    f1d7f06 to replace non-free code (closes: #749833)

 -- Gilles Filippini <pini@debian.org>  Tue, 22 Nov 2016 22:35:16 +0100

scilab (5.5.2-3) unstable; urgency=medium

  * Team upload
  * New patch to support HDF5-1.10 (closes: #841975)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 18:22:43 +0100

scilab (5.5.2-2) unstable; urgency=medium

  * Team upload.
  * Build against gluegen2 and libjogl2-java 2.3.2 (closes: #791990,
    #798652):
    - New patch libjogl2-java-2.3.2.diff to adapt to jogamp 2.3.2
    - Bump the versioned build-depends and depends on libjogl2-java
      >= 2.3.2
    - Complete patch jvm-archdir-ppc64le.diff to fix bin/scilab.
  * Refresh patch aarch64-detection.patch.

 -- Gilles Filippini <pini@debian.org>  Fri, 30 Oct 2015 00:26:29 +0100

scilab (5.5.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with changed jvm architecure directory on ppc64el.
    Closes: #801060.
  * Fix Aarch64 detection (Martin Michlmayr). Closes: #791539.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Oct 2015 10:02:09 +0200

scilab (5.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Three new patches to cope with java libs API changes:
    - xmlgraphics-commons-2.0.diff
    - fop-2.0.diff
    - batik-1.8.diff
    (closes: #800632).

 -- Gilles Filippini <pini@debian.org>  Sat, 03 Oct 2015 10:06:53 +0200

scilab (5.5.2-1) unstable; urgency=medium

  * New upstream release
  * Patches removed (merged upstream):
    - m4-hdf5.patch
    - m4-java-ppc64el.patch
    - remove-exit.diff
    - bashim.diff
    - jogl-2.2.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Apr 2015 11:31:59 +0200

scilab (5.5.1-7) unstable; urgency=medium

  * Team upload.
  * Readd m4-hdf5.patch in d/patches/series, which had been mistakenly
    removed in version 5.5.1-4. Remove hdf5-libsz.diff which has been
    introduced in replacement.
  * Also readd remove-exit.diff.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Mar 2015 10:39:14 +0100

scilab (5.5.1-6) unstable; urgency=medium

  * Team upload.
  * Readd m4-java-ppc64el.patch in d/patches/series. It had been
    mistakenly removed in the previous upload. This fixes the FTBFS on
    ppc64el. (Closes: #776525)
  * Fix a mistake in the above patch concerning bin/scilab. The machine
    name (output of 'uname -m') is ppc64le and not ppc64el. This error
    was making scilab unable to start on ppc64el.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Feb 2015 22:47:24 +0100

scilab (5.5.1-5) unstable; urgency=medium

  * Remove some bashims (Closes: #772410, #772409, #772408)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Dec 2014 15:03:32 +0100

scilab (5.5.1-4) unstable; urgency=medium

  * Set a minimal version on the libjogl2 package
    to avoid FTFBFS (Closes: 769002). The problem
    itself will be address in libjogl2-java (bug 769003)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 11:07:31 +0100

scilab (5.5.1-3) unstable; urgency=medium

  * Fix FTBFS with Jogl 2.2 (Closes: #765118)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Nov 2014 10:54:21 +0100

scilab (5.5.1-2) unstable; urgency=medium

  * Fix a typo in the patch m4-java-ppc64el.patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Oct 2014 10:29:47 +0200

scilab (5.5.1-1) unstable; urgency=medium

  * New upstream release
    - Support of openjdk 8 (Closes: #760931)
  * Support of ppc64el (Closes: #761920)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Oct 2014 13:16:47 +0200

scilab (5.5.0-3) unstable; urgency=medium

  [Gilles Filippini]
  * Team upload (closes: #756698).
  * Support hdf5 1.8.13 new packaging layout.
  * New patch m4-hdf5.patch: fix typo and unneeded dependency on
    inexistant libsz.

  [Sylvestre Ledru]
  * Vcs-* tag fixed

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Aug 2014 12:50:57 +0200

scilab (5.5.0-2) unstable; urgency=medium

  * Bring back the signal processing library (Don't know why it was missing)
    (Closes: #738456) (LP: #1265929)
  * Bring back missing changelog items (Closes: #733279)
  * Restrict to the arch on which OpenJDK is available:
    amd64, armel, armhf, i386, mips, mipsel, powerpc, s390x, arm64, ppc64el
    (Partial Closes of #739235)
  * Disable dh_autoreconf call. Disabling of libtool in dh_autoreconf is failing
    It messes things up in Ubuntu with the weird Scilab library ordering stuff
    (LP: #1307875)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Apr 2014 16:47:04 +0200

scilab (5.5.0-1) unstable; urgency=medium

  * Stable release (very similar to beta-1+git~20140406-1522)
  * Add back the wrongly removed depend-scicos.diff
  * Also disable ocamlopt features on mips mipsel s390x sparc

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Apr 2014 15:02:39 +0200

scilab (5.5.0~beta-1+git~20140406-1522-3) unstable; urgency=medium

  * Fix the build under Ubuntu. Thanks to Clement David for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Apr 2014 18:16:33 +0200

scilab (5.5.0~beta-1+git~20140406-1522-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure --without-modelica on arm64 and ppc64el, apparently the
    package wants ocamlopt.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Apr 2014 11:23:53 +0200

scilab (5.5.0~beta-1+git~20140406-1522-1) unstable; urgency=medium

  * New snapshot release
  * jh.diff: Fix an issue in the construction of the doc
  * link-issue.diff: Fix a start up segfault (LP: #1299686)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Apr 2014 15:26:17 +0200

scilab (5.5.0~beta-1+git~20140327-1135-1) unstable; urgency=medium

  * New snapshot release
  * Update the version name

  [ Matthias Klose ]
  * Build using dh-autoreconf
  * Fix linking of the scilab-bin and scilab-cli-bin binaries, don't misuse
    LDFLAGS macros to add libraries.
  * Fix linking of modules and shared libraries, don't misuse LDFLAGS to
    add libraries.
  * Fix java cpu directory for arm64 and ppc64el.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Mar 2014 09:56:05 +0100

scilab (5.5.0~beta-1~git~20140324-1354-1) unstable; urgency=medium

  * New snapshot release (stable should be released next week)
  * Remove the scirenderer dependency
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Mar 2014 13:58:01 +0100

scilab (5.5.0~beta-1~git~20131216-1627-1) unstable; urgency=low

  * New snapshot release
  * Remove the check of dependencies on xcos startup (Closes: #732065)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Dec 2013 16:20:22 +0100

scilab (5.5.0~beta-1~git~20131204-1256-1~exp1) unstable; urgency=low

  * New snapshot release
    - Enables the dynamic stack (a magic fortran work around). It makes
      Scilab build with gcc 4.8 and fixes some other arch related bugs.
      (Closes: #723644)
  * Upload in unstable
  * Generate the manpages on the fly with help2man (Closes: #731236)
  * Also install scilab.appdata.xml to the various software center
  * Install all icons at the right places (LP: #1257075)
  * Add libecj-java as build/run dependency for the Java binding

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Dec 2013 13:14:05 +0100

scilab (5.5.0~beta-1-1~exp4) experimental; urgency=low

  * Force the Scilab dynamic stack for all archs
  * Come back on gcc 4.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Nov 2013 17:22:25 +0100

scilab (5.5.0~beta-1-1~exp3) experimental; urgency=low

  * Only use gcc 4.7
  * Also ship CHANGES_5.5.X

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 Oct 2013 01:20:09 +0200

scilab (5.5.0~beta-1-1~exp2) experimental; urgency=low

  * Force the usage of gfortran 4.7
    Probably related to http://gcc.gnu.org/ml/fortran/2013-08/msg00077.html

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Oct 2013 16:23:53 +0200

scilab (5.5.0~beta-1-1~exp1) experimental; urgency=low

  * New upstream release
  * Enable MPI features

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Aug 2013 14:13:14 +0200

scilab (5.4.1-4) unstable; urgency=low

  * Fix the cyclic dependencies on libscilab2-java (Closes: #718135)
  * Merge libscilab2-java into scilab-full-bin
    It is now a mandatory dependency of Scilab (Closes: #711700)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Jun 2013 15:42:48 +0200

scilab (5.4.1-3) unstable; urgency=low

  * Fix an upgrade issue caused by the change in 5.4.1-2 (Closes: #712225)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jun 2013 10:31:05 +0200

scilab (5.4.1-2) unstable; urgency=low

  * Fix the cyclic dependencies on libscilab2-java (Closes: #711700)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Jun 2013 15:42:48 +0200

scilab (5.4.1-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4
  * Update of the watch file

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 May 2013 13:52:49 +0200

scilab (5.4.1-1~exp2) experimental; urgency=low

  * Improve the runtime dependencies on flexdock, scirenderer & jlatexmath

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Apr 2013 15:02:08 +0200

scilab (5.4.1-1~exp1) experimental; urgency=low

  * New upstream release
  * Update minimal versions of scirenderer

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2013 12:02:56 +0200

scilab (5.4.1~git20130321-2df5f3a-1~exp2) experimental; urgency=low

  * Also install bin/scinotes & bin/xcos
  * Sync of the Ubuntu changes

  [ Daniel T Chen ]
  * Made build infrastructure multiarch-aware, fixing FTBFS.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2013 15:02:04 +0100

scilab (5.4.1~git20130321-2df5f3a-1~exp1) experimental; urgency=low

  * New snapshot release
  * Force the usage of matio 1.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Mar 2013 23:48:10 +0100

scilab (5.4.1~git20130314-27e240f-1~exp1) experimental; urgency=low

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Mar 2013 12:33:37 +0100

scilab (5.4.1~git20130308-b7ffdce-1~exp1) experimental; urgency=low

  * Use a new snapshot which should contain the fix for the i386 FTBFS

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Mar 2013 14:10:38 +0100

scilab (5.4.1~git07032013-1~exp1) experimental; urgency=low

  * New snapshot release (more stable than 5.4.0)
  * Update the minimal dependencies
  * Remove libraries deleted by upstream (libscidoublylinkedlist,
    libscihashtable, libscilibst & libscimalloc)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Mar 2013 14:36:46 +0100

scilab (5.4.0.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Oct 2012 16:24:30 +0200

scilab (5.4.0-beta-3-1~exp2) experimental; urgency=low

  * Add libscilab2-java as a dependency of scilab-full-bin.
    Now necessary in many different aspects of Scilab.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Sep 2012 10:24:20 +0200

scilab (5.4.0-beta-3-1~exp1) experimental; urgency=low

  * New upstream release
  * Update the scirenderer dep
  * Get ride of libjhdf5-java dependency

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 30 Aug 2012 14:42:38 +0200

scilab (5.4.0-beta-2-1~exp1) experimental; urgency=low

  * New upstream release
  * Remove libscilab-java (remove upstream). Use libscilab2-java instead.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Aug 2012 11:02:49 +0200

scilab (5.4.0-beta-1-1~exp1) experimental; urgency=low

  * New upstream release
  * Remove the watcher (Closes: #678285)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 20 Jun 2012 22:19:40 +0200

scilab (5.4.0-alpha-20122205-4fd39a5-1~exp1) experimental; urgency=low

  * New snapshot release
  * Based on scirenderer 0.4.7 and libjogl2-java 2.0 rc8
  * s390x.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Jun 2012 18:35:16 +0200

scilab (5.4.0-alpha-20122105-824511b-1~exp1) experimental; urgency=low

  * New snapshot release
  * New graphic implementation, depends on libscirenderer-java
  * Drop the dependency on PVM (no longer shipped in Scilab)
  * Support of s390x

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Apr 2012 13:44:52 +0200

scilab (5.4.0-alpha-20120903-33206a8-1~exp2) experimental; urgency=low

  * Remove ccache from the dependencies (FTBFS on archs)
  * Fix a cyclic dependency between scilab-full-bin & scilab-minimal-bin
  * Standards-Version updated to version 3.9.3
  * Fix "scilab-doc: doc-package-depends-on-main-package"
  * Remove the menu item (uses desktop files now)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Mar 2012 12:33:42 +0100

scilab (5.4.0-alpha-20120903-33206a8-1~exp1) experimental; urgency=low

  * Package of the current git version

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Mar 2012 13:37:30 +0100

scilab (5.4.0-alpha-1-1~exp3) experimental; urgency=low

  * Fix a French localization issues
  * Update the minimal version of libjhdf5
  * Fix a bug in the adddemo.diff patch. Also update the error message.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2011 11:32:41 +0100

scilab (5.4.0-alpha-1-1~exp2) experimental; urgency=low

  * Remove the bundled version of arpack and use arpack-ng (ie >= 3.0)
  * Some cleanup in the old patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Dec 2011 12:19:01 +0100

scilab (5.4.0-alpha-1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Dec 2011 11:57:15 +0100

scilab (5.3.3-10) unstable; urgency=low

  * Fix also the javadoc encoding issue (Closes: #672618)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 16:55:54 +0200

scilab (5.3.3-9) unstable; urgency=low

  * Fix a build issue with openjdk7 (Closes: #672618)
  * Get ride of the watcher. The doc build process is way faster now
    (Closes: #673292)
  * Fix a bug with 32 bit userland and 64 bit kernel (Closes: #631813)
  * Standards-Version updated to version 3.9.3
  * Ignore "scilab-doc: doc-package-depends-on-main-package depends"

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 17:39:55 +0200

scilab (5.3.3-8) unstable; urgency=low

  * Fix a bug on the startup of Xcos because the new version of hdf5
    in the archive is 1.8.8 (Closes: #666215)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Mar 2012 21:08:55 +0200

scilab (5.3.3-7) unstable; urgency=low

  * Change dependency libhdf5-serial-dev => libhdf5-dev
  * Update the dependency on jhdf to version 2.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Jan 2012 18:36:36 +0100

scilab (5.3.3-6) unstable; urgency=low

  * If scilab-doc is not install, do not trigger an error. Just show a warning.
    This will avoid error link in the bug #654621
  * Update of the description
  * Add an explicit dependency on libjgoodies-looks-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 11 Jan 2012 20:31:55 +0100

scilab (5.3.3-5) unstable; urgency=low

  * Update the error message of the demo when scilab-doc is not installed
  * Fix a build issues relative to LD_LIBRARY_PATH

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2011 11:33:45 +0100

scilab (5.3.3-4) unstable; urgency=low

  * Dependency fftw3-dev dropped (replaced by libfftw3-dev)
  * Fix some encoding issues which were causing Scilab to fail with
    the openjdk 7 (Closes: #888998)
  * Explicity the dependency on skinlf (Closes: #648060)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Nov 2011 12:43:01 +0100

scilab (5.3.3-3) unstable; urgency=low

  * default-java-path.diff: For the usage of /usr/lib/jvm/default-java to
    detect the right path of Java (due to the multiarch changes in the
    openjdk) (Closes: #639924)
  * Fix a minor typo in the description

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Sep 2011 22:59:30 +0200

scilab (5.3.3-2) unstable; urgency=low

  * Get ride of .la files (Closes: #633209)
  * Unused override removed
  * Fix some minor man warnings
  * Update the description of libscilab2-java (Remove warning
    duplicate-short-description)
  * Upstream changelog added (no-upstream-changelog)
  * Fix unneeded-build-dep-on-quilt & copyright-refers-to-symlink-license

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jul 2011 17:57:20 +0200

scilab (5.3.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jul 2011 19:30:56 +0200

scilab (5.3.2-2) unstable; urgency=low

  * Add mips64 support (mips64.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Jun 2011 02:06:13 +0200

scilab (5.3.2-1) unstable; urgency=low

  * New upstream release (updateOfJgoodies.diff & wrongVersion.diff removed)
  * Standards-Version updated to version 3.9.2
  * Use .desktop provided in the upstream sources.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Jun 2011 00:47:55 +0200

scilab (5.3.1-4) unstable; urgency=low

  * Fix the real name of the release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Apr 2011 17:27:22 +0200

scilab (5.3.1-3) unstable; urgency=low

  * Missing dependencies (Closes: #618709)
  * Improve dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Mar 2011 23:09:52 +0100

scilab (5.3.1-2) unstable; urgency=low

  * Update of a check due to the recent update of libjgoodies-looks-java
    (Closes: #617274)
  * Force dependency on ocaml to version 3.11.2-3 in order to avoid bug
    #617404.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 05 Mar 2011 16:51:46 +0100

scilab (5.3.1-1) unstable; urgency=low

  * New upstream release
  * Japanese documentation added (package scilab-doc-ja)
  * Switch to dpkg-source 3.0 (quilt) format
  * Aurélien removed from uploader (MIA)
  * Updated description with Xcos

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2011 15:37:03 +0100

scilab (5.3.0-final-3) unstable; urgency=low

  * Some modelica binaries were missing in a package (scilab-full-bin).

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Feb 2011 21:02:42 +0100

scilab (5.3.0-final-2) unstable; urgency=low

  * Upload in Debian unstable
  * A file moved from a package to the other caused a bug (LP: #710419)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Feb 2011 14:08:05 +0100

scilab (5.3.0-final-1) experimental; urgency=low

  * New upstream release
  * URL in the watch file updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Dec 2010 14:27:06 +0100

scilab (5.3.0-beta-5-1) experimental; urgency=low

  * New upstream release.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Nov 2010 01:26:20 +0100

scilab (5.3.0-beta-4-3) experimental; urgency=low

  * Fix some lintian warnings

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 08:16:43 +0200

scilab (5.3.0-beta-4-2) experimental; urgency=low

  * Provide specific packages for javasci2 called libscilab2-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Oct 2010 20:26:32 +0200

scilab (5.3.0-beta-4-1) experimental; urgency=low

  * New upstream release
  patch addchapter.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Sep 2010 22:44:57 +0200

scilab (5.3.0-beta-3-2) experimental; urgency=low

  * Missing dep on libjlatexmath-fop-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 17 Sep 2010 18:11:22 +0200

scilab (5.3.0-beta-3-1) experimental; urgency=low

  * New upstream release
  * jhdf2.6.diff addchapter.diff full_support.diff sparc64.diff
    z_cpudetection.diff better-feedback-on-lib-error.diff
    test_run_permission.diff renesas-sh.diff applied upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 13:42:22 +0200

scilab (5.2.2-9) unstable; urgency=low

  * Fix a problem in the ia64 startup. (Closes: #593684)
  * Build the help file by increasing the amount of memory available to the JVM
    (Closes: #599149)
  * Fails the build when some key components are not built

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 22:32:12 +0200

scilab (5.2.2-8) unstable; urgency=high

  * SECURITY UPDATE:
    - (CVE-2010-3378) : Insecure library loading (Closes: #598422, #598423)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 30 Sep 2010 15:17:57 +0200

scilab (5.2.2-7) unstable; urgency=low

  * Fix a bad upload: Not binNMU-able (Closes: #597755)
  * Fix an issue with mips64. Thanks to Liushiwei (Closes: #593902)
  * Wrong recommends on sivp (Closes: #576475)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 23 Sep 2010 14:07:07 +0200

scilab (5.2.2-6) unstable; urgency=low

  * Fix a problem with the build system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Sep 2010 08:50:49 +0200

scilab (5.2.2-5) unstable; urgency=low

  [ Matthias Klose ]
  * Fix JVM detection for armv<anything> machines (Closes: #596509)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 11:14:58 +0200

scilab (5.2.2-4) unstable; urgency=low

  * Fix a FTBFS under powerpc (conflicting declaration of basename)
    basename.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 22:20:42 +0200

scilab (5.2.2-3) unstable; urgency=low

  * Remove option -fwritable-string. writable-string.diff (Closes: #593114)
  * Fix a problem in the detection of sparc for sivp sparcstartup.diff
    (Closes: #591541)
  * Update copyright file to fix lintian warning:
    copyright-refers-to-deprecated-bsd-license-file
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 16:03:13 +0200

scilab (5.2.2-2) unstable; urgency=low

  * Missing files in libjavasci (Closes: #585679)
  * libjavasci arch: all => any
  * Rpath back in business for sciscipy (Closes: #586746)
  * Set the exact dependencies on jgraphx (1.2.0.8). Too many compatibilities
    issues.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Jun 2010 17:22:12 +0200

scilab (5.2.2-1) unstable; urgency=low

  * New upstream release
  * better-feedback-on-lib-error.diff, full_support.diff, renesas-sh.diff,
    s390javadetection.diff, sparc64.diff, test_run_permission.diff,
    z_cpudetection.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Apr 2010 15:57:24 +0200

scilab (5.2.1-9) unstable; urgency=low

  * Add procps as a build dependency to make the watcher work (Closes: #577870)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Apr 2010 10:26:23 +0200

scilab (5.2.1-8) unstable; urgency=low

  * Enable also the keep alive for Debian (sparc has some pbs on the
   documentation build)
  * Update of the completion script
  * Update of the README.Debian file (Scilab is free since 5.0.0)
  * Fix a problem with the unitary tests (permission). Backport from upstream.
    test_run_permission.diff
  * In case of error on the library load, provide more feedbacks
    better-feedback-on-lib-error.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Apr 2010 22:12:44 +0200

scilab (5.2.1-7) unstable; urgency=low

  * Bad detection on the CPU detection for the Java arch.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Mar 2010 00:45:20 +0100

scilab (5.2.1-6) unstable; urgency=low

  * Add a scilab bash completion script

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Mar 2010 15:16:23 +0100

scilab (5.2.1-5) unstable; urgency=low

  * scilab-include is now arch dependent because machine.h is arch dependent
    and is included by some Scilab modules and causes some potential issues
    like in scilab-overload (Closes: #550243)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Mar 2010 15:58:54 +0100

scilab (5.2.1-4) unstable; urgency=low

  [ Christoph Korn ]
  * debian/rules, debian/watcher.sh: Add a ticker to the build to prevent
    timeouts on some arches (only use it on Ubuntu because Debian does not
    have a timeout). Thanks to Colin Watson and Iain Lane for this idea.
    The watcher has been copied from the agda package.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Mar 2010 14:19:01 +0100

scilab (5.2.1-3) unstable; urgency=low

  * Support of Renesas SH(sh4) thanks to Nobuhiro Iwamatsu for the patch
    renesas-sh.diff (Closes: #570587)
  * Fix of an error in the sparc64 detection at runtime

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Feb 2010 23:50:54 +0100

scilab (5.2.1-2) unstable; urgency=low

  * Support of sparc64 (sparc64.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Feb 2010 12:10:12 +0100

scilab (5.2.1-1) unstable; urgency=low

  * New upstream release
  * Some patches removed jgraphx-1.2.0.diff jgraphx-save.diff
    ImplicitPointerConversions.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Feb 2010 09:36:03 +0100

scilab (5.2.0-7) unstable; urgency=low

  * Workaround to fix an error in jgraphx (jgraphx-save.diff)
  * Update of some descriptions of package
  * Scilab build doc dependencies moved from package scilab-doc to
    scilab-full-bin
  * Scilab package recommends now scilab-doc (and suggests scilab-doc-pt-br
    and scilab-doc-fr)
  * Update of the debian/watch file to match the new upstream website

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 13 Feb 2010 16:00:55 +0100

scilab (5.2.0-6) unstable; urgency=low

  * Missing dependency on scilab-full-bin for package scilab

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Feb 2010 12:17:04 +0100

scilab (5.2.0-5) unstable; urgency=low

  * Update of package descriptions
  * Package scilab-doc-pt-br (Brazilian Portuguese) added
  * circular dependency with scilab-minimal-bin on scilab-full-bin removed
    by moving some libraries from a package to the other (Closes: #567194)
  * Update of the jgraphx patch which was causing some issues with xcos
    Thanks to Clement David for the fix.
  * Standards-Version updated to version 3.8.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Feb 2010 13:19:21 +0100

scilab (5.2.0-4) unstable; urgency=low

  * New packages added: scilab-cli (for command line interpretor), scilab-bin
    has been split between scilab-minimal-bin and scilab-full-bin
  * Fix syntax error in the changelog
  * scilab-data lintian overrides fixed
  * lintian overrides added on scilab-test

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jan 2010 15:33:47 +0100

scilab (5.2.0-3) unstable; urgency=low

  * Explicit dependency on scilab-sivp (>= 5.0.0) (Closes: #561856)
  * Patch to build/run against jgraphx 1.2.0.7 (jgraphx-1.2.0.diff)
  * Patch to build/run against jhdf 2.6 (jhdf2.6.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jan 2010 17:33:39 +0100

scilab (5.2.0-2) unstable; urgency=low

  * Move to unstable
  * Some implicit pointer conversions removed
    (ImplicitPointerConversions.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 18 Jan 2010 23:06:56 +0100

scilab (5.2.0-1) experimental; urgency=low

  * New upstream release (dependencies added: jlatexmath, jhdf, hdf5,
    libjgraphx)
  * alphabuild.diff, exitincode.diff, fpu_control.diff, jvm-powerpc.diff
    javaruntimedetection.diff, malloc.diff, z_java_debug.diff,
    z_mipsel_arm_mgmt.diff, autoconf-libs-filed-updated.diff,
    ocaml-not-available.diff, typo.diff removed (applied upstream)
  * PVM_ROOT set is no longer required

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Dec 2009 13:47:23 +0100

scilab (5.1.1-13) unstable; urgency=low

  * Recommends sivp => scilab-sivp (Closes: #560174)
  * scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann added to Suggests

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Dec 2009 14:18:21 +0100

scilab (5.1.1-12) unstable; urgency=low

  * openjdk-6-jdk => default-jdk

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Nov 2009 23:51:04 +0100

scilab (5.1.1-11) unstable; urgency=low

  * In the version 5.1.1-10, I changed a mv by a cp and it caused the help
    file to be stored in both packages (Closes: #547624)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 Sep 2009 10:18:54 +0200

scilab (5.1.1-10) unstable; urgency=low

  * Do not build the help on arch != amd64/i386. Waiting for upstream to
    improve the build time
  * Force the dependency on openjdk-6-jre | sun-java6-jre on scilab-bin to
    make sure that libjava is available (Closes: #538359)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Sep 2009 14:13:52 +0200

scilab (5.1.1-9) unstable; urgency=low

  * mipsel and armel management added (z_mipsel_arm_mgmt.diff patch added)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Sep 2009 00:28:10 +0200

scilab (5.1.1-8) unstable; urgency=low

  * Update libs_by_debian.m4 which is the libs.m4 of autoconf 2.64
     (bug reported upstream) (LP: #414410)
  * Removal of Torsten on his request (Thanks for everything)
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 30 Aug 2009 11:07:45 +0200

scilab (5.1.1-7) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Change of my email address since I am now DD \o/
  * Better processing with the removal of the rpath
  * dh_desktop call removed
  * Standards-Version updated to 3.8.2
  * Force the minimal version of suitesparse to 3.4.0-1. This version
    introduced new binary packages (libumfpack and libamd here)

  [ Christoph Korn ]
  * debian/control:
    * Set libscilab-java as architecture independent because it only
      contains a jar file.
    * Added scilab-bin-dbg as debugging package. CDBS should do the rest.
  * debian/rules:
    * Moved the install code for icons from "binary-install/libscilab-java::"
      target to "install/scilab::" target.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Aug 2009 16:06:35 +0200

scilab (5.1.1-6) unstable; urgency=low

  * better install which should really fix the previous bug
    (Closes: #528517)
  * More feedbacks on the java detection (z_java_debug.diff)
  * Enable a default case on the startup about the java detection
    (javaruntimedetection.diff)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 14 May 2009 16:38:17 +0200

scilab (5.1.1-5) unstable; urgency=low

  * install/scilab wasn't called when building binary for other archs.
    Therefor not installing correctly everything (Closes: #528517)
  * A bad define was causing a silly include (alphabuild.diff)
  * uname -m is returning s390x on some s390 archs (s390javadetection.diff)
  * manpage of modelicac updated with the information about the
    availability of this binary

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 13 May 2009 14:12:23 +0200

scilab (5.1.1-4) unstable; urgency=low

  * librefblas3-dev does not exist (yet). Thanks to Jose Ramon
  * Do not stop when ocamlopt is not available on the arch
    (ocaml-not-available.diff)
  * Provide a clear error message for archs where modelicac compiler is
    not available (modelicac-not-available.diff)
  * scilab startup script moved from package scilab => scilab-bin (because of
    the ocamlopt problem, I cannot predict if modelicac will be available or
    not. Therefor, I ship usr/bin/ instead of binary per binary. This will
    also simplifies the packaging of Scilab 5.2)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 28 Apr 2009 18:47:03 +0200

scilab (5.1.1-3) unstable; urgency=low

  * Fix warnings in the manpages (modelicac.1 & scilab.1)
  * Fix a few typo in the code (typo.diff)
  * Remove some exit() in some libs of Scilab (exitincode.diff)
  * Encoding removed from scilab.desktop (it is now the default encoding)
  * call_scilab documentation was not correctly loaded (missingaddchapter.diff)
  * change of the order of the dependencies of the numerical deps (didn't work
    buildd) (Closes: #525935)
  * Build-dep atlas3-base-dev renamed to libatlas-base-dev

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 27 Apr 2009 14:51:57 +0200

scilab (5.1.1-2) unstable; urgency=low

  * More windows-devel-file-in-package lintian ignored
  * libscilab-java is now in Section: java
  * Upload in unstable
  * Standards-Version updated to 3.8.1
  * compat & debhelpder dep updated from 4 => 7

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 22 Apr 2009 14:58:37 +0200

scilab (5.1.1-1) experimental; urgency=low

  [ Christoph Korn ]
  * New upstream version.
    (patches 64bitsdetection.diff filesWithSpace.diff javaHeadLess.diff
    displayStack.diff xmlCleanupParser.diff removed. Applied upstream)

  [ Sylvestre Ledru ]
  * Add a patch to manage powerpc detection of the JVM (jvm-powerpc.diff)
  * Add a patch to use only fpu_control under Linux & x86 (fpu_control.diff)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sun, 19 Apr 2009 16:42:49 +0200

scilab (5.1-2) experimental; urgency=low

  [ Sylvestre Ledru ]
  * Package scilab-include added (was missing in the previous version)
  * sivp added in the recommanded packages (Closes: #505203)
  * Replaces: scilab (< 5.0) added in scilab-bin (caused issue in the 4.X
   => 5.X upgrade)
  * Patch xmlCleanupParser.diff added (fix some problems with the latest
    version of libxml... which is not yet present in Debian).
  * Add a lintian override for some visual project files
  * Copyright update about javasci's examples (public domain now)
  * Missing deps on docbook-xsl for scilab-doc

  [ Christoph Korn ]
  * debian/patches/filesWithSpace.diff: Removes a space in two filenames.
  * debian/rules: Remove empty translation files (Closes LP: #272264)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 24 Feb 2009 11:38:38 +0100

scilab (5.1-1) experimental; urgency=low

  * New upstream release
  * Some patches removed (included upstream)
  * Better watch file
  * Missing dep to pkg-config
  * Patch javaHeadLess.diff added (build Scilab into a chroot)
  * Patch 64bitsdetection.diff added (better detection of a 64 bits CPU)

  [ Christoph Korn ]
  * ${misc:Depends} added to make lintian happy
  * deleted debian/patches/series because quilt is not used as patch system
  * Dropped g++ build dependency to make lintian happy.
  * debian/control: Changed the unique package descriptions to
    make lintian happy.

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 13 Feb 2009 09:44:31 +0100

scilab (5.0.3-6) experimental; urgency=low

  * Integration of a patch to be able to build french without the locale

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 21 Jan 2009 16:52:36 +0100

scilab (5.0.3-5) experimental; urgency=low

  * Add a backported patch from upstream to be able to build the
    documentation without the french localization installed on the
    system

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 28 Jan 2009 14:02:06 +0100

scilab (5.0.3-4) experimental; urgency=low

  * scilab.desktop wasn't install (thanks again to Christoph Korn) and
    and the categories were wrong

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 07 Jan 2009 12:57:24 +0100

scilab (5.0.3-3) experimental; urgency=low

  * Missing dep to ant & docbook-xsl
  * Information about the LGPL added in the copyright file
  * Force a minimal version of jeuclid
  * Install the icon
  * Fix a problem in the scilab.desktop file (thanks to Christoph Korn)
  * Icons added to the menu item

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 30 Dec 2008 09:38:59 +0100

scilab (5.0.3-2) experimental; urgency=medium

  * Warnings removed on startup
  * Tests moved to scilab-test package

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sat, 22 Nov 2008 10:28:30 +0100

scilab (5.0.3-1) experimental; urgency=medium

  * New upstream version (Closes: #483682, #499565, #486876)
    Massive changes in the package construction
  * Package moved to main since Scilab is free (CeCILL license)
  * modelicac, intersci and scilab manpages added

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 01 Oct 2008 13:37:08 +0200

scilab (4.1.2-6) unstable; urgency=low

  * Debian-science added as maintainer
  * SVN moved to debian-science repository
  * Standards-Version updated to 3.8.0
  * Fix a security issue reported by Dmitry E. Oboukhov. (Closes: #496414)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 10 Sep 2008 13:35:28 +0200

scilab (4.1.2-5) unstable; urgency=low

  * Add DM-Upload-Allowed: yes to enable uploads for Sylvestre.

 -- Torsten Werner <twerner@debian.org>  Tue, 29 Apr 2008 20:22:38 +0200

scilab (4.1.2-4) unstable; urgency=low

  * Replace g77 by gfortran.
  * Improve dependencies on wish and scilab-doc.
  * Drop compatibility with versions prior the Etch release.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Mar 2008 19:37:55 +0100

scilab (4.1.2-3) unstable; urgency=low

  * Add debian/watch.
  * Update Homepage and Vcs headers in debian/control.
  * Change Standards-Version: 3.7.3.
  * Switch to debhelper 5.

 -- Torsten Werner <twerner@debian.org>  Sun, 16 Dec 2007 23:03:17 +0100

scilab (4.1.2-2) unstable; urgency=low

  * Move architecture dependent files from package scilab to scilab-bin.
    (Closes: #452461)
  * Support binary NMUs.
  * Fix desktop and menu files.

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Nov 2007 17:42:55 +0100

scilab (4.1.2-1) unstable; urgency=low

  * New upstream version

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 22 Oct 2007 14:29:42 +0200

scilab (4.1.1-2) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Some binaries (name, lib ...) used by Scilab toolboxes were removed.

  [ Aurélien GÉRÔME ]
  * Too quick to check/upload previously: lintian errors and
    warnings are still there, but are removed upstream in scilab 5.

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 8 Jun 2007 11:41:12 +0200

scilab (4.1.1-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * New upstream version: this version fixes an important bug in the
    displaying of some numbers.
  * Patch javasci.diff removed: merged upstream.

  [ Aurélien GÉRÔME ]
  * Upload to unstable with low urgency.
  * Add the correct XS-Vcs-Svn and XS-Vcs-Browser fields in
    debian/control.
  * All lintian errors and warnings are now fixed upstream.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue, 29 May 2007 21:29:02 +0200

scilab (4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Fri, 13 Apr 2007 19:32:34 +0200

scilab (4.1-1) unstable; urgency=medium

  * New upstream version.
  * Some patches removed or updated (reported to the upstream)
  * Add debian/patches/stack-c.diff to remove the compilation warning "'c1_local' defined but not used"

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 13 Mar 2007 13:37:08 +0200

scilab (4.0-12) unstable; urgency=high

  [ Sylvestre Ledru ]
  * Add debian/patches/javasci.diff to translate a comment in English,
    because a French accent triggered a FTBFS with gcj-4.1.

  [ Aurélien GÉRÔME ]
  * Update debian/patches/build.diff to fix a FTBFS on alpha
    architecture: use built-in memory allocation functions on 64-bit
    architectures. (Closes: #402736)
  * Conform to the policy by using "-g -Wall" in CFLAGS and FFLAGS,
    but not touching optimisation flags.
  * Disable Java interface by default.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 14 Dec 2006 23:04:26 +0100

scilab (4.0-11) unstable; urgency=medium

  [ Aurélien GÉRÔME ]
  * Add Sylvestre and myself to the Uploaders field in debian/control.
  * Add the XS-Autobuild field in debian/control. (Closes: #401117)

  [ Torsten Werner ]
  * Apply an upstream patch for building on mips and mipsel.
  * Set urgency to medium because this fixes a FTBFS bug.
  * Switch to external pvm library.

 -- Torsten Werner <twerner@debian.org>  Wed,  6 Dec 2006 03:42:43 +0100

scilab (4.0-10) unstable; urgency=low

  * Configure --without-pvm on mips and mipsel for the moment.

 -- Torsten Werner <twerner@debian.org>  Tue, 28 Nov 2006 05:58:58 +0100

scilab (4.0-9) unstable; urgency=low

  * Prefer autoconf2.50 over autoconf2.13.
  * Explicitely specify the path to tcl includes.
  * Move patches directory under debian directory.

 -- Torsten Werner <twerner@debian.org>  Mon, 27 Nov 2006 22:34:41 +0100

scilab (4.0-8) unstable; urgency=low

  * Use g77 instead gfortran to compile Scilab because of a bug of gfortran.
    (Closes: #397606)
  * Fix a bug in compilation of Scilab under GNU/Debian Alpha.

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 8 Nov 2006 14:37:08 +0200

scilab (4.0-7) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Fix a bug in the debian patch which was causing a seg fault with 64 bits
    CPU. (Closes: #385376)

  [ Torsten Werner ]
  * Add XS-X-Vcs-Svn: header to debian/control.

 -- Torsten Werner <twerner@debian.org>  Fri, 27 Oct 2006 05:37:08 +0200

scilab (4.0-6) unstable; urgency=low

  * Changed gettklib.sci to load libtk8.4.so.0 instead libtk8.4.so, change
    applied into Scilab official SVN. (Closes: #394377)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 23 Oct 2006 15:20:40 +0200

scilab (4.0-5) unstable; urgency=low

  * Remove debian/stamp-autoconf in clean:: target.
  * Do not ship files called .cvsignore. (Closes: #387870)
  * Do not ship binaries needed for build process. (Closes: #392389)

 -- Torsten Werner <twerner@debian.org>  Sat, 14 Oct 2006 12:48:40 +0200

scilab (4.0-4) unstable; urgency=low

  * Make the package binNMUable.
  * Make the package portable.

 -- Torsten Werner <twerner@debian.org>  Sat,  7 Oct 2006 23:44:37 +0200

scilab (4.0-3) unstable; urgency=low

  * create symlink for manual directory to /usr/share/doc/...
  * doc-base support
  * add more Build-Depends

 -- Torsten Werner <twerner@debian.org>  Wed,  6 Sep 2006 05:03:52 +0200

scilab (4.0-2) unstable; urgency=low

  * add bin and pvm3 directories
  * use quilt for upstream changes
  * add desktop file
  * set Standard-Version to 3.7.2, no changes needed

 -- Torsten Werner <twerner@debian.org>  Sun, 13 Aug 2006 14:00:20 +0200

scilab (4.0-1) unstable; urgency=low

  * new upstream version, closes: #321537
  * does not link with readline, closes: #326275, #359886, #361592
  * does not use gtk any more, closes: #302741, #302506

 -- Torsten Werner <twerner@debian.org>  Sun, 13 Aug 2006 00:49:31 +0200

scilab (3.0-14.1) unstable; urgency=low

  * NMU
  * Apply patch to remove -fwritable-strings. Thanks Andreas Jochens.
    (closes: #327726)

 -- David Nusinow <dnusinow@debian.org>  Sun, 26 Mar 2006 22:40:28 -0500

scilab (3.0-14) unstable; urgency=low

  * #undef mips in routines/sun/link.c to enable support for Linux on mips,
    closes: #29712

 -- Torsten Werner <twerner@debian.org>  Sun, 27 Feb 2005 13:31:56 +0100

scilab (3.0-13) unstable; urgency=low

  * added Replaces: scilab (<< 3.0-5) for scilab-bin and scilab-doc,
    closes: #289968
  * build against current gcc, closes: #260542
  * remove all .cvsignore files, closes: #163424, #273032
  * create a symlink to man pages into /usr/share/doc/...,
    closes: #296216

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Feb 2005 16:48:53 +0100

scilab (3.0-12) unstable; urgency=low

  * changed configure.in to build scilab's own malloc.o, closes: #255869

 -- Torsten Werner <twerner@debian.org>  Sun,  9 Jan 2005 22:58:21 +0100

scilab (3.0-11) unstable; urgency=low

  * forgot to run autoconf for last version, closes: #283917

 -- Torsten Werner <twerner@debian.org>  Thu,  2 Dec 2004 20:00:42 +0100

scilab (3.0-10) unstable; urgency=low

  * fixed configure.in to work on any *-*-linux-gnu system, closes: #281543
  * included a note about licence change and autobuilding in README.Debian

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Nov 2004 22:34:29 +0100

scilab (3.0-9) unstable; urgency=low

  * changed Standards-Version: 3.6.1
  * do not use font 'fixed' any more (last fix undone)

 -- Torsten Werner <twerner@debian.org>  Mon,  1 Nov 2004 23:59:01 +0100

scilab (3.0-8) experimental; urgency=low

  * workaround for libtool problem in Makemex.in and config/Makeso.incl.in,
    closes: #260542
  * force font 'fixed' for scilab window, closes: #261966
  * removed file .cvsignore from scilab-bin package, closes: #273032

 -- Torsten Werner <twerner@debian.org>  Fri, 22 Oct 2004 20:25:27 +0200

scilab (3.0-7) experimental; urgency=low

  * fixed atlas Build-Depends for amd64
  * changed Build-Depends on ocaml-interp (>= 3.08.0)
  * added more missing -fPIC
  * added --with-tcl-include=/usr/include/tcl8.4 to configure args

 -- Torsten Werner <twerner@debian.org>  Tue, 17 Aug 2004 22:06:45 +0200

scilab (3.0-6) experimental; urgency=low

  * added -fPIC where missing

 -- Torsten Werner <twerner@debian.org>  Thu, 12 Aug 2004 21:19:40 +0200

scilab (3.0-5) experimental; urgency=low

  * changed Build-Depends: libgtkhtml3.1-dev to libgtkhtml2-dev
  * removed Build-Depends: libgnome-dev
  * added Build-Depends: libreadline4-dev | libreadline-dev
  * remove lib*.so, *.dll and examples/mex-examples/mexglx/xtimesy.mexglx in
    clean:: target
  * moved architecture specific files into new package scilab-bin
  * moved demos, examples and man into new package scilab-doc

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Aug 2004 21:23:30 +0200

scilab (3.0-4) experimental; urgency=low

  * removed all macros/**/*.sci and man/**/*.xml files from binary package
  * fixed SCI variable in scripts/scilab-gtk.g.in
  * readded file 'configure' to installation again
  * workaround for incomplete 'make distclean' to really make distclean

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Jul 2004 12:56:19 +0200

scilab (3.0-3) experimental; urgency=low

  * added --with-gtk2 to configure, closes: #260543

 -- Torsten Werner <twerner@debian.org>  Thu, 22 Jul 2004 22:05:54 +0200

scilab (3.0-2) experimental; urgency=low

  * added Build-Depends: libnum-ocaml-dev, sablotron, closes: #260164
  * removed file 'configure' and directory 'tests' from installation
  * changed gettklib.sci to load libtk8.4.so.0 instead libtk8.4.so, closes: #260162

 -- Torsten Werner <twerner@debian.org>  Mon, 19 Jul 2004 22:01:45 +0200

scilab (3.0-1) experimental; urgency=low

  * new upstream

 -- Torsten Werner <twerner@debian.org>  Tue, 13 Jul 2004 07:30:16 +0200

scilab (2.99rc1-1) experimental; urgency=low

  * new upstream, closes: #257499
  * Build-Depends: tk4-dev, closes: #207870

 -- Torsten Werner <twerner@debian.org>  Thu,  8 Jul 2004 23:43:35 +0200

scilab (2.7-12) unstable; urgency=low

  * added mips and mips to the platforms that use atlas3
  * fixed compile time errors for platforms that do not use atlas3

 -- Torsten Werner <twerner@debian.org>  Tue, 25 May 2004 21:40:04 +0200

scilab (2.7-11) unstable; urgency=low

  * added Build-Depends for refblas3-dev

 -- Torsten Werner <twerner@debian.org>  Tue, 23 Mar 2004 23:28:29 +0100

scilab (2.7-10) unstable; urgency=low

  * recompiled with atlas3 instead of atlas2

 -- Torsten Werner <twerner@debian.org>  Fri, 27 Feb 2004 22:24:49 +0100

scilab (2.7-9) unstable; urgency=low

  * added missing -fPIC to some routines/*/Makefile{,.in}, closes: #227233

 -- Torsten Werner <twerner@debian.org>  Tue, 13 Jan 2004 23:22:02 +0000

scilab (2.7-8) unstable; urgency=low

  * do not compile blas and lapack any more
  * converted static libs to shared libs and linked scilex dynamically
  * removed unnessesary *.sci files from binary package

 -- Torsten Werner <twerner@debian.org>  Sat, 27 Dec 2003 18:07:01 +0100

scilab (2.7-7) unstable; urgency=low

  * updated autotools stuff + fixes for ia64

 -- Torsten Werner <twerner@debian.org>  Fri, 26 Dec 2003 19:51:57 +0100

scilab (2.7-6) unstable; urgency=low

  * fixed building with pbuilder

 -- Torsten Werner <twerner@debian.org>  Tue, 26 Aug 2003 15:06:12 +0200

scilab (2.7-5) unstable; urgency=low

  * build against tk8.3-dev, closes: #200254
  * converted to cdbs

 -- Torsten Werner <twerner@debian.org>  Tue, 26 Aug 2003 11:30:03 +0200

scilab (2.7-4) unstable; urgency=low

  * included fix for buggy chapter button in help window, closes: #191035

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Jun 2003 18:03:26 +0200

scilab (2.7-3) unstable; urgency=low

  * include libs/ directory, fixed examples/Makefile.in, hopefully
    closes: #186519
  * moved examples directory to /usr/share/doc/scilab/

 -- Torsten Werner <twerner@debian.org>  Fri, 18 Apr 2003 13:52:40 +0200

scilab (2.7-2) unstable; urgency=low

  * do not create /usr/lib/scilab link due to an old dpkg bug,
    closes: #184726

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Mar 2003 12:41:24 +0100

scilab (2.7-1) unstable; urgency=low

  * new upstream, closes: #179938
  * uses upstream provided 'make install'
  * removed most of former Debian changes

 -- Torsten Werner <twerner@debian.org>  Thu, 13 Mar 2003 10:52:03 +0100

scilab (2.6-9) unstable; urgency=low

  * install Version.incl into /usr/lib/scilab/ to make scicos happy,
    closes: #163361

 -- Torsten Werner <twerner@debian.org>  Thu, 17 Oct 2002 14:45:28 +0200

scilab (2.6-8) unstable; urgency=low

  * quick hack to work around Bug #149834 to get it build on alpha

 -- Torsten Werner <twerner@debian.org>  Fri,  9 Aug 2002 09:39:51 +0200

scilab (2.6-7) unstable; urgency=low

  * do not build any pvm related stuff, closes: #151919

 -- Torsten Werner <twerner@debian.org>  Wed, 10 Jul 2002 07:58:02 +0200

scilab (2.6-6) unstable; urgency=low

  * reenabled pvm, added pvm-dev to Build-Depends and pvm to Recommends
  * using debians own blas and lapack libraries, closes: #120286

 -- Torsten Werner <twerner@debian.org>  Wed, 15 May 2002 13:49:06 +0200

scilab (2.6-5) unstable; urgency=low

  * fixed generation of scilab's man page, closes: #144261

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Apr 2002 11:56:11 +0200

scilab (2.6-4) unstable; urgency=low

  * support for m68k, closes: 138895
  * installs some missing files, closes: 138329

 -- Torsten Werner <twerner@debian.org>  Thu, 21 Mar 2002 16:57:43 +0100

scilab (2.6-3) unstable; urgency=low

  * fixed SCI variable in scripts/*.g files

 -- Torsten Werner <twerner@debian.org>  Wed, 27 Feb 2002 12:15:45 +0100

scilab (2.6-2) unstable; urgency=low

  * added stack?.h to /usr/lib/scilab/routines/, closes: 122390
  * copied new version of config.sub and config.guess from /usr/share/misc/ to
    config/, closes: #46482, #47811

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Dec 2001 10:35:49 +0100

scilab (2.6-1) unstable; urgency=low

  * configured with argument --without-pvm because pvm support is broken
  * #include <math.h> fix (for powerpc architecture), closes: #111648
  * new maintainer

 -- Torsten Werner <twerner@debian.org>  Wed,  7 Nov 2001 12:58:04 +0100

scilab (2.6-0.1) unstable; urgency=low

  * new upstream, NMU, closes: #93765
  * added build deps, closes: #91282, #71942
  * removed scilab-doc package since documentation is no longer
    available in upstream sources, rerun dh_make
  * closes old bugs: #27805, #26236, #65452, #71583
  * /usr/share/man fix, closes: #91061

 -- Torsten Werner <twerner@debian.org>  Fri, 20 Apr 2001 09:43:52 +0200

scilab (2.5-0.1) unstable; urgency=low

  * NMU to update versions
  * Wouldn't compile on Alpha and package hadn't been touched in
    years apparently.
  * Closes alpha-building bugs (closes: Bug#68410)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 3 Aug 2000 16:12:45 -0400

scilab (2.4-1) unstable; urgency=low

  * new maintainer
  * new upstream version
  * apply patch from scilab newsgroup to fix hypermatrix problems

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Tue, 30 Jun 1998 21:18:04 +0200

scilab (2.2-4) unstable; urgency=low

  * Changed 'scilab' script to correct bug #5500.

 -- Vincent Renardias <vincent@waw.com>  Sun, 19 Jan 1997 03:09:36 +0100

scilab (2.2-3) unstable frozen; urgency=low

  * Added a simlink to make man happy (Corrects bug #5446 ;-)
  * Added dependance on 'c-shell' (Corrects bug #5447)
  * Added missing 'imp/NperiPos.ps' file (Corrects bug #5448)
  * Modified the 'configure' file to build with libc-5.4
  * Changed '.so' links in man pages.

 -- Vincent Renardias <vincent@waw.com>  Sat, 16 Nov 1996 23:21:39 +0100

scilab (2.2-2) unstable; urgency=low

  * Corrected some typos.

 -- Vincent Renardias <vincent@waw.com>  Sat, 2 Nov 1996 03:05:37 +0100

scilab (2.2-1) unstable; urgency=low

  * Initial release.

 -- Vincent Renardias <vincent@waw.com>  Wed, 9 Oct 1996 21:17:35 +0200
